# The Docker image that will be used to build your app
image: node

build:
  stage: build
  cache:
    paths:
      - node_modules/
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - build
    expire_in: 1 hrs

test:
  stage: test
  cache:
    paths:
      - node_modules/
    policy: pull
  script:
    - npm run test
  artifacts:
    expire_in: 1 hrs

pages:
  stage: deploy
  dependencies:
    - build
  script:
    - rm -rf public
    - cp build/index.html build/404.html
    - mv build public
  artifacts:
    paths:
      - public
  only:
      - master
